%global debug_package %{nil}
%global wayland_package true
%define version_num %( echo %version | tr -d '\.' )

Name:           raylib
Version:        5.0
Release:        1%{?dist}
Summary:        A simple and easy-to-use library to enjoy videogames programming

License:        zlib License
URL:            https://github.com/raysan5/raylib
# https://github.com/raysan5/raylib/archive/refs/tags/5.0.tar.gz
Source0:        https://github.com/raysan5/%{name}/archive/%{version}.tar.gz

BuildRequires:  make automake gcc gcc-c++ kernel-devel
BuildRequires:  cmake
BuildRequires:  alsa-lib-devel mesa-libGL-devel libX11-devel libXrandr-devel libXi-devel libXcursor-devel libXinerama-devel libatomic
BuildRequires:  glfw-devel
%if "%{wayland_package}" == "true"
BuildRequires:  wayland-devel libxkbcommon-devel wayland-protocols-devel
%endif

%description
raylib is a simple and easy-to-use library to enjoy videogames programming.

raylib is highly inspired by Borland BGI graphics lib and by XNA framework and
it's especially well suited for prototyping, tooling, graphical applications,
embedded systems and education.

NOTE for ADVENTURERS: raylib is a programming library to enjoy videogames
                      programming; no fancy interface, no visual helpers,
                      no debug button...
                       ...just coding in the most pure spartan-programmers way.

Ready to learn? Jump to https://www.raylib.com/examples.html !


# devel subapackage
%package devel
Summary: Devel files for %{name}
Requires:  %{name}%{?_isa} = %{version}-%{release}
Requires:  alsa-lib-devel mesa-libGL-devel libX11-devel libXrandr-devel libXi-devel libXcursor-devel libXinerama-devel libatomic
Requires:  glfw-devel
%if "%{wayland_package}" == "true"
Requires:  wayland-devel libxkbcommon-devel wayland-protocols-devel
%endif

%description devel
The %{name}-devel package contains header files for developing with %{name}.


%prep
%autosetup


%build
# % configure
%if "%{wayland_package}" == "true"
%cmake -DBUILD_SHARED_LIBS=ON -DUSE_EXTERNAL_GLFW=ON -DUSE_WAYLAND=ON .
%else
%cmake -DBUILD_SHARED_LIBS=ON -DUSE_EXTERNAL_GLFW=ON .
%endif
%cmake_build


%install
%cmake_install


%check
%ctest


%post
%?ldconfig


%postun
%?ldconfig


%files
%license LICENSE 
%doc README.md 
%doc CHANGELOG
%doc FAQ.md
%doc HISTORY.md
/usr/lib64/libraylib.so.4.5.0
/usr/lib64/libraylib.so.450
# /usr/lib64/libraylib.so.%{version}
# /usr/lib64/libraylib.so.%{version_num}


%files devel
%doc BINDINGS.md 
%doc CONTRIBUTING.md 
%doc CONVENTIONS.md 
%doc ROADMAP.md 
/usr/include/%{name}.h
/usr/include/rlgl.h
/usr/include/raymath.h
/usr/lib64/libraylib.so
/usr/lib64/pkgconfig/%{name}.pc
/usr/lib64/cmake/raylib/%{name}-config-version.cmake
/usr/lib64/cmake/raylib/%{name}-config.cmake


%changelog
* Sat Nov 18 2023 Arnošt Dudek <arnost@arnostdudek.cz>
- initial build
